Bug 440496 - "Show in all activities" no longer works
Summary: "Show in all activities" no longer works
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: 5.22.4
Platform: openSUSE RPMs Linux
: VHI normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-08-01 13:32 UTC by Ilya Bizyaev
Modified: 2021-12-16 10:25 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Bizyaev 2021-08-01 13:32:11 UTC
SUMMARY
A recent bug affects how task manager's "Show in all activities" works. Instead of actually displaying the window in all activities, it only displays the task manager item. Clicking this item in a different activity switches the user to the activity where the window was originally located. To achieve the normal behavior, a user needs to manually tick all activities instead.


STEPS TO REPRODUCE
1. Open an app, e.g. KInfoCenter
2. Use task manager's context menu on the task item to "Show in all activities"

OBSERVED RESULT
Only the task manager item is shown in all activities, and clicking it returns you back to the original activity.


EXPECTED RESULT
Same behavior as in previous Plasma version or when selecting all activities by hand: the window is visible in all activities without switching.


SOFTWARE/OS VERSIONS
Operating System: openSUSE Leap 15.3
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.2
Graphics Platform: X11
Comment 1 Ilya Bizyaev 2021-08-01 13:33:00 UTC
I have a note saying that this started in Plasma 5.22.
Comment 2 Nate Graham 2021-08-02 19:46:31 UTC
Can confirm.
Comment 3 Isaac Zylstra 2021-10-23 15:37:20 UTC
I have this issue in Kubuntu 21.10 and Plasma 5.23 (using backports). Using the system title bar context menu to set "All Activities" does work properly, and accurately displays the state of the window. (e.g. only one activity is still ticked after using the task manager context menu to set "All Activities")
Comment 4 Bug Janitor Service 2021-11-29 14:47:20 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/721
Comment 5 Bug Janitor Service 2021-12-15 11:03:38 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1278
Comment 6 Bug Janitor Service 2021-12-15 11:11:15 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/750
Comment 7 Bug Janitor Service 2021-12-16 04:17:53 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1803
Comment 8 Fushan Wen 2021-12-16 09:59:49 UTC
Git commit 1d0e75bc5ceb8144b30386e549608b7d7b89190e by Fushan Wen.
Committed on 16/12/2021 at 09:59.
Pushed by fusionfuture into branch 'master'.

x11client: Replace activityList with m_activityList

KWin does not update activity status when setting `_KDE_NET_WM_ACTIVITIES`
to nullUuid outside of KWin, which causes "All Activities" not working
as expected for KWindowSystem.

`X11Client::activityList` is not kept in sync with
`AbstractClient::m_activityList`. Move `m_activityList` from private to
protected, and use it in `X11Client::readActivities`

M  +2    -1    src/abstract_client.h
M  +5    -5    src/x11client.cpp
M  +0    -1    src/x11client.h

https://invent.kde.org/plasma/kwin/commit/1d0e75bc5ceb8144b30386e549608b7d7b89190e